package opc.ua.services.sets;

import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class Cancel {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	/** IntegerId */
	private Integer requestHandle;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;
	private long cancelCount;
	
	public RequestHeader getRequestHeader() {
		return requestHeader;
	}
	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}
	public Integer getRequestHandle() {
		return requestHandle;
	}
	public void setRequestHandle(Integer requestHandle) {
		this.requestHandle = requestHandle;
	}
	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}
	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	public long getCancelCount() {
		return cancelCount;
	}
	public void setCancelCount(long cancelCount) {
		this.cancelCount = cancelCount;
	}
	
}
